0

Hi i am trying to install OpenMM on my CentOS 5.9 remotely via ssh (PuTTY) based on the step mentioned here (Yes i know the guide is for CentOS 6.x).

However when i try to do:

yum install mysql-server MySQL-python

it says:

No package mysql-server available.

Processing Dependency: libmysqlclient_r.so.15(libmysqlclient_15)(64bit) for package: MySQL-python
--> Processing Dependency: libmysqlclient_r.so.15()(64bit) for package: MySQL-python
--> Finished Dependency Resolution
MySQL-python-1.2.3-0.1.c1.el5.x86_64 from base has depsolving problems
  --> Missing Dependency: libmysqlclient_r.so.15(libmysqlclient_15)(64bit) is needed by package MySQL-python-1.2.3-0.1.c1.el5.x86_64 (base)
MySQL-python-1.2.3-0.1.c1.el5.x86_64 from base has depsolving problems
  --> Missing Dependency: libmysqlclient_r.so.15()(64bit) is needed by package MySQL-python-1.2.3-0.1.c1.el5.x86_64 (base)
Error: Missing Dependency: libmysqlclient_r.so.15(libmysqlclient_15)(64bit) is needed by package MySQL-python-1.2.3-0.1.c1.el5.x86_64 (base)
Error: Missing Dependency: libmysqlclient_r.so.15()(64bit) is needed by package MySQL-python-1.2.3-0.1.c1.el5.x86_64 (base)

I already have MySQL installed on my server, and it is already serving few application. I think i do not need this package. However i am not sure how to resolve the missing dependencies for MySQL-python.

EDIT BIT

output of yum list installed | grep mysql
root@xxxxxxxx [/home/temp]# yum list installed |grep mysql
cpanel-mysql.x86_64                             5.0.96-1.cp1136        installed
cpanel-mysql-libs.x86_64                        5.0.96-1.cp1136        installed
cpanel-perl-514-DBD-mysql.x86_64                4.021-1.cp1136         installed
root@xxxxxxx [/home/temp]#

END OF EDIT

  • Could you show output of the # yum list installed | grep mysql – ALex_hha Jul 31 '13 at 7:54
  • @ALex_hha output is as shown on the edit bit part. – Jeremy Jul 31 '13 at 7:59
  • You have cPanel packages installed. Contact cPanel support for assistance. – Michael Hampton Jul 31 '13 at 8:02
  • try the following "# rpm -ql cpanel-mysql | grep libmysqlclient_r.so.15" and "# rpm -ql cpanel-mysql-libs | grep libmysqlclient_r.so.15" – ALex_hha Jul 31 '13 at 8:03
0

All you need is to install mysql

# yum provides "*/libmysqlclient_r.so.15"

mysql-5.0.95-5.el5_9.i386 : MySQL client programs and shared libraries.
Repo        : installed
Matched from:
Filename    : /usr/lib/mysql/libmysqlclient_r.so.15

# yum install mysql MySQL-python
  • is it gonna cause any conflict(s) with my existing mysql? – Jeremy Jul 31 '13 at 8:06
  • i still have no luck on the installation. It still gives me the same exact message. Thx for helping though... – Jeremy Jul 31 '13 at 8:14
  • As I can see you are using cpanel (I don't like it), I think you should try to install mysql-python via cpanel web interface – ALex_hha Jul 31 '13 at 8:24
  • i'll try that instead. – Jeremy Jul 31 '13 at 8:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.